#!/bin/sh

msg1="Error: can't install stamps and templates from '%s' to '%s'"
msg2="Abort"

src=/usr/share/wallmaker
dst=$HOME/.wallmaker

err1=$(printf "$msg1" "$src" "$dst")
err2=$msg2

error_message()
{
  Xdialog --center --no-cancel --ok-label "$err2" --msgbox "$err1" 0x0
}
# Copy standard stamps and templates to the user's profile.
# This will overwrite existing files.
# So if a user makes changes to a standard file it should be saved
# with a different name.

# First install files to a temp dir.
tmp="$dst/.update"
rm -rf "$tmp"
mkdir -p "$tmp"
cd "$tmp" || {
  error_message
  exit 1
}
mkdir -p "$tmp/stamps" "$tmp/templates" 
cp -a "$src/stamps" "$src/templates" "$tmp"

# Then make a file list for uninstall and move files to their final dir.
mkdir -p "$dst/stamps" "$dst/templates" &&
cd "$tmp" &&
find stamps templates \! -type d > "$dst/.puninstall.list" &&
mv -f stamps/* "$dst/stamps" &&
mv -f templates/* "$dst/templates" || {
  error_message
  cd /tmp; rm -r "$tmp"
  exit 1
}
# Clean up.
cd /tmp; rm -r "$tmp"
